# Configuration

The Configuration files is pretty self explanatory but if i feel that it's needed to further advance this documentation i will!<br>

```lua
Config = {}

Config.Locale = 'en'
Config.Images = { -- [[ To configure where the images is fetched goto @force_lib/server/funcs/sv_frameworkbased.lua ]]
    PoliceImage = 'https://upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Polisen_vapen.svg/1200px-Polisen_vapen.svg.png',
    Enabled = true -- This toggles player images and does not affect PoliceImage
}
Config.Phoneitem = 'phone'
Config.Trackyourself = false -- [[ If you want to allow players to track themselves ]]

Config.Interaction = {
    Command = {
        Enabled = true,
        Name = 'phonetracking',
    },

    Target = {
        Enabled = true,
        Models = { -- [[ The resource will spawn these props! ]]
            ['prop_cs_tablet_02'] = {
                coords = vector4(443.46, -978.92, 31.0, 357.42),
                rotation = vector3(0.0, 90.0, 180.0), -- Leave rotation as nil or false to use heading from vector4
                ground = false
            },
        },
        Animation = {
            Dict = "anim@mp_radio@high_apment",
            Anim = "button_press_bedroom",
            Flags = 1
        }
    },

    Draw3DText = {
        Enabled = true,
        Locations = {
            vector3(441.2414245605469, -978.8181762695312, 30.68958663940429)
        },
        Distance = 1.5,
        Key = "E",
        Text = 'Phonetracking'
    },

    -- [[ Leave empty to allow all jobs ]]
    Restircted = {
        Enabled = true,

        Jobs = {
            'police'
        },
        Func = function() -- [[ Return true if you don't wan't to use anything other then job restirctions ]]
            return true
        end
    }
}

Config.BlipDetails = {
    LastTime = 150, -- [[ SECONDS ]]
    UpdateRate = 4, -- [[ SECONDS (Lower values reduces the performace of the resource!) ]]

    Radius = {
        rad = 150.0,
        offsetMin = -50,
        offsetMax = 50
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.forcedevelopments.com/resources/force-phonetracking/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
